> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar webhooks salientes

> Lista los webhooks salientes almacenados (enviados a los clientes). El parámetro de consulta `flow_type` es obligatorio. Las entradas en dead-letter se exponen de forma transparente con `status="DEAD_LETTER"`.



## OpenAPI

````yaml es/openapi/v3-current/indirect-pix.yaml GET /v1/webhooks/outbound
openapi: 3.0.3
info:
  title: Plugin BR Pix Indirect - API completa
  description: |
    API completa para el sistema de pagos instantáneos Pix de Brasil, que
    incluye operaciones del diccionario de claves Pix, generación/decodificación
    de códigos QR, transacciones y límites transaccionales.
  version: 1.7.6
servers:
  - url: https://plugin-pix-indirect.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/webhooks/outbound:
    get:
      tags:
        - Webhooks API
      summary: Listar webhooks salientes
      description: >-
        Lista los webhooks salientes almacenados (enviados a los clientes). El
        parámetro de consulta `flow_type` es obligatorio. Las entradas en
        dead-letter se exponen de forma transparente con `status="DEAD_LETTER"`.
      parameters:
        - name: flow_type
          in: query
          description: >-
            Obligatorio. Tipo de flujo saliente. Se convierte a mayúsculas en el
            servidor.
          schema:
            type: string
            enum:
              - DICT
              - PAYMENT
              - COLLECTION
              - PIX
              - TRANSFER
              - REFUND
              - RECURRING
        - name: entity_type
          in: query
          description: >-
            Filtra por tipo de entidad interno. Ejemplos: CLAIM, REFUND,
            INFRACTION_REPORT con flow_type=DICT; CASHIN, CASHOUT con
            flow_type=TRANSFER o REFUND.
          schema:
            type: string
        - name: entity_id
          in: query
          description: Filtra por id de entidad en formato UUID
          schema:
            type: string
        - name: status
          in: query
          description: >-
            Filtra por estado. DEAD_LETTER es un valor virtual, exclusivo de la
            API, que expone los webhooks enviados a dead-letter.
          schema:
            type: string
            enum:
              - PENDING
              - PROCESSING
              - SENT
              - FAILED
              - DEAD_LETTER
        - name: request_id
          in: query
          description: Filtra por el id de la solicitud de origen
          schema:
            type: string
        - name: created_after
          in: query
          description: Filtra las filas con created_at >= esta marca de tiempo RFC3339
          schema:
            type: string
        - name: created_before
          in: query
          description: Filtra las filas con created_at <= esta marca de tiempo RFC3339
          schema:
            type: string
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Page'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListOutboundWebhooksOutput'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
      security:
        - bearerAuth: []
components:
  parameters:
    Limit:
      name: limit
      in: query
      description: Número máximo de elementos por página.
      required: false
      example: 10
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 10
    Page:
      name: page
      in: query
      description: Número de página para la paginación.
      required: false
      example: 1
      schema:
        type: integer
        minimum: 1
        default: 1
  schemas:
    ListOutboundWebhooksOutput:
      properties:
        items:
          items:
            $ref: '#/components/schemas/WebhookOutboundOutput'
          type: array
        limit:
          type: integer
          example: 20
        page:
          type: integer
          example: 1
        totalItems:
          type: integer
          example: 42
      type: object
    ErrorFormat:
      type: object
      description: El mensaje de error de la respuesta.
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: Un identificador único y estable para el error.
        title:
          type: string
          description: Un breve resumen del problema.
        message:
          type: string
          description: Orientación detallada para resolver el error.
    WebhookOutboundOutput:
      properties:
        attemptCount:
          type: integer
          example: 0
        createdAt:
          example: '2026-05-21T12:00:00Z'
          format: date-time
          type: string
        deadLetter:
          description: >-
            Campos exclusivos de dead-letter. Se completan cuando DeadLetter es
            true.
          example: false
          type: boolean
        deliveredAt:
          example: '2026-05-21T12:00:00Z'
          format: date-time
          type: string
        entityId:
          example: 019cf6ef-e418-7ced-80c0-7b9816faa798
          type: string
        entityType:
          example: DICT_ENTRY
          type: string
        errorMessage:
          example: timeout calling target URL
          type: string
        failedAt:
          example: '2026-05-21T12:00:00Z'
          format: date-time
          type: string
        failureReason:
          example: max_retries_exceeded
          type: string
        flowType:
          example: DICT
          type: string
        id:
          example: 019cf6ef-e418-7ced-80c0-7b9816faa798
          type: string
        lastAttemptAt:
          example: '2026-05-21T12:00:00Z'
          format: date-time
          type: string
        maxRetries:
          example: 3
          type: integer
        movedBy:
          example: system
          type: string
        nextRetryAt:
          example: '2026-05-21T12:00:00Z'
          format: date-time
          type: string
        payload:
          type: object
        requestId:
          example: 560d59b9-3c74-46f8-be67-fee895b8e89e
          type: string
        status:
          enum:
            - PENDING
            - PROCESSING
            - SENT
            - FAILED
            - DEAD_LETTER
          example: PENDING
          type: string
        targetUrl:
          example: https://client.example.com/webhooks
          type: string
        updatedAt:
          example: '2026-05-21T12:00:00Z'
          format: date-time
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````